Developer Documentation

Public Types | Public Member Functions | Protected Attributes | List of all members
OpenVolumeMesh::BaseCirculator< IH, OH > Class Template Reference
Inheritance diagram for OpenVolumeMesh::BaseCirculator< IH, OH >:

## Public Types
typedef BaseIterator< OH > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< OH >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const OH | value_type
typedef const OH * | pointer
typedef const OH & | reference

## Public Member Functions
| BaseCirculator (const TopologyKernel *_mesh, const IH &_ih, const OH &_oh, int _max_laps=1)
| BaseCirculator (const TopologyKernel *_mesh, const IH &_ih, int _max_laps=1)
bool | operator== (const BaseCirculator &_c) const
bool | operator!= (const BaseCirculator &_c) const
bool | operator< (const BaseCirculator &_c) const
BaseCirculator & | operator= (const BaseCirculator &_c)
const IH & | ref_handle () const
void | lap (int _lap)
int | lap () const
void | max_laps (int _max_laps)
int | max_laps () const
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< OH >
| BaseIterator (const TopologyKernel *_mesh, const OH &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const OH &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Protected Attributes
int | lap_
int | max_laps_
IH | ref_handle_

## Detailed Description

### template<class IH, class OH>
class OpenVolumeMesh::BaseCirculator< IH, OH >

Definition at line 166 of file Iterators.hh.

The documentation for this class was generated from the following file:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh